### Method

# Meta Window get_buffer_rect

#### Declaration [src]

    void
    meta_window_get_buffer_rect (
      const MetaWindow* window,
      MtkRectangle* rect
    )

#### Description [src]

Gets the rectangle that the pixmap or buffer of `window` occupies.

For X11 windows, this is the server-side geometry of the toplevel window.

For Wayland windows, this is the bounding rectangle of the attached buffer.

#### Parameters

`rect`

  Type: `MtkRectangle`

  Pointer to an allocated `MtkRectangle`.

  The argument will be set by the function.
  The returned data is owned by the instance.